curl --request PUT \
--url https://api.demo.fuelboss.net/v1/nominations/supplier \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientReference": "<string>",
"delivery": {
"operationStandardCode": "<string>",
"bunkeringLocationCode": "<string>",
"bunkeringLocationName": "<string>",
"portBunkeringLocationCode": "<string>",
"bunkeringLocationDetails": "<string>",
"berthTime": "2023-11-07T05:31:56Z",
"pilotTime": "2023-11-07T05:31:56Z",
"estimatedTimeOfBunkering": "2023-11-07T05:31:56Z",
"laycanStart": "2023-11-07T05:31:56Z",
"laycanEnd": "2023-11-07T05:31:56Z",
"estimatedTimeOfCompletion": "2023-11-07T05:31:56Z",
"estimatedBunkeringDurationInMinutes": 123,
"supplierAssetBufferTimeInMinutes": 123,
"contractReference": "<string>",
"gasUpRequired": true,
"coolDownRequired": true
},
"supplier": {
"assetIdentifier": {
"vessel": {
"imo": 123,
"mmsi": 123,
"externalId": "<string>"
},
"terminalName": "<string>"
},
"companyIdentifier": "<string>",
"companyEntityReference": "<string>",
"orderReference": "<string>",
"internalReference": "<string>",
"internalInstructions": "<string>",
"assetOperatorCompanyIdentifier": "<string>"
},
"receiver": {
"companyIdentifier": "<string>",
"companyName": "<string>",
"orderReference": "<string>",
"vesselIdentifier": {
"imo": 123,
"mmsi": 123,
"externalId": "<string>"
},
"estimatedTimeOfArrival": "2023-11-07T05:31:56Z",
"estimatedTimeOfDeparture": "2023-11-07T05:31:56Z",
"lastPortCode": "<string>",
"nextPortCode": "<string>",
"counterpartEntityReference": "<string>",
"companyEntityReference": "<string>"
},
"fuelSpecifications": [
{
"fuelType": "<string>",
"quantityRange": {
"minQuantity": 123,
"maxQuantity": 123
},
"brand": "<string>",
"certificateOfQuality": {
"identifier": "<string>"
},
"biofuelProperties": {
"typeOfFeedstock": "<string>",
"blendRatio": 123,
"isccCertified": true,
"isccValue": 123,
"certificateScheme": "<string>"
}
}
],
"stakeholders": [
{
"companyIdentifier": "<string>",
"userEmail": "<string>"
}
]
}
'import requests
url = "https://api.demo.fuelboss.net/v1/nominations/supplier"
payload = {
"clientReference": "<string>",
"delivery": {
"operationStandardCode": "<string>",
"bunkeringLocationCode": "<string>",
"bunkeringLocationName": "<string>",
"portBunkeringLocationCode": "<string>",
"bunkeringLocationDetails": "<string>",
"berthTime": "2023-11-07T05:31:56Z",
"pilotTime": "2023-11-07T05:31:56Z",
"estimatedTimeOfBunkering": "2023-11-07T05:31:56Z",
"laycanStart": "2023-11-07T05:31:56Z",
"laycanEnd": "2023-11-07T05:31:56Z",
"estimatedTimeOfCompletion": "2023-11-07T05:31:56Z",
"estimatedBunkeringDurationInMinutes": 123,
"supplierAssetBufferTimeInMinutes": 123,
"contractReference": "<string>",
"gasUpRequired": True,
"coolDownRequired": True
},
"supplier": {
"assetIdentifier": {
"vessel": {
"imo": 123,
"mmsi": 123,
"externalId": "<string>"
},
"terminalName": "<string>"
},
"companyIdentifier": "<string>",
"companyEntityReference": "<string>",
"orderReference": "<string>",
"internalReference": "<string>",
"internalInstructions": "<string>",
"assetOperatorCompanyIdentifier": "<string>"
},
"receiver": {
"companyIdentifier": "<string>",
"companyName": "<string>",
"orderReference": "<string>",
"vesselIdentifier": {
"imo": 123,
"mmsi": 123,
"externalId": "<string>"
},
"estimatedTimeOfArrival": "2023-11-07T05:31:56Z",
"estimatedTimeOfDeparture": "2023-11-07T05:31:56Z",
"lastPortCode": "<string>",
"nextPortCode": "<string>",
"counterpartEntityReference": "<string>",
"companyEntityReference": "<string>"
},
"fuelSpecifications": [
{
"fuelType": "<string>",
"quantityRange": {
"minQuantity": 123,
"maxQuantity": 123
},
"brand": "<string>",
"certificateOfQuality": { "identifier": "<string>" },
"biofuelProperties": {
"typeOfFeedstock": "<string>",
"blendRatio": 123,
"isccCertified": True,
"isccValue": 123,
"certificateScheme": "<string>"
}
}
],
"stakeholders": [
{
"companyIdentifier": "<string>",
"userEmail": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientReference: '<string>',
delivery: {
operationStandardCode: '<string>',
bunkeringLocationCode: '<string>',
bunkeringLocationName: '<string>',
portBunkeringLocationCode: '<string>',
bunkeringLocationDetails: '<string>',
berthTime: '2023-11-07T05:31:56Z',
pilotTime: '2023-11-07T05:31:56Z',
estimatedTimeOfBunkering: '2023-11-07T05:31:56Z',
laycanStart: '2023-11-07T05:31:56Z',
laycanEnd: '2023-11-07T05:31:56Z',
estimatedTimeOfCompletion: '2023-11-07T05:31:56Z',
estimatedBunkeringDurationInMinutes: 123,
supplierAssetBufferTimeInMinutes: 123,
contractReference: '<string>',
gasUpRequired: true,
coolDownRequired: true
},
supplier: {
assetIdentifier: {
vessel: {imo: 123, mmsi: 123, externalId: '<string>'},
terminalName: '<string>'
},
companyIdentifier: '<string>',
companyEntityReference: '<string>',
orderReference: '<string>',
internalReference: '<string>',
internalInstructions: '<string>',
assetOperatorCompanyIdentifier: '<string>'
},
receiver: {
companyIdentifier: '<string>',
companyName: '<string>',
orderReference: '<string>',
vesselIdentifier: {imo: 123, mmsi: 123, externalId: '<string>'},
estimatedTimeOfArrival: '2023-11-07T05:31:56Z',
estimatedTimeOfDeparture: '2023-11-07T05:31:56Z',
lastPortCode: '<string>',
nextPortCode: '<string>',
counterpartEntityReference: '<string>',
companyEntityReference: '<string>'
},
fuelSpecifications: [
{
fuelType: '<string>',
quantityRange: {minQuantity: 123, maxQuantity: 123},
brand: '<string>',
certificateOfQuality: {identifier: '<string>'},
biofuelProperties: {
typeOfFeedstock: '<string>',
blendRatio: 123,
isccCertified: true,
isccValue: 123,
certificateScheme: '<string>'
}
}
],
stakeholders: [{companyIdentifier: '<string>', userEmail: '<string>'}]
})
};
fetch('https://api.demo.fuelboss.net/v1/nominations/supplier', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"clientReference": "<string>",
"status": "supplier_requested",
"lastChangedAtUtc": "2023-11-07T05:31:56Z"
}{
"clientReference": "<string>",
"status": "supplier_requested",
"lastChangedAtUtc": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"trace_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"trace_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"trace_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"trace_id": "<string>"
}Creates or updates a nomination as a supplier
Creates a new nomination or updates an existing one based on the client reference. Uses idempotency to prevent duplicate submissions
Authorizations
Access token obtained from the /oauth/token endpoint using your client credentials.
Body
Request body for creating or updating a nomination as a supplier company.
Your unique identifier for the nomination within your company, used to reference the nomination in all subsequent calls.
Delivery information.
Show child attributes
Show child attributes
Supplier information. Omit to nominate as your own company.
Show child attributes
Show child attributes
Receiver information.
Show child attributes
Show child attributes
Fuel specifications for the nomination.
Show child attributes
Show child attributes
Stakeholders involved in the nomination.
Show child attributes
Show child attributes
Response
OK
Response returned after creating or updating a nomination as a supplier company.
Your unique identifier for the nomination within your company.
Status of the nomination after the operation.
Possible values:
supplier_requested— Supplier has been requested for this nomination.supplier_unassigned— Nomination has no supplier assigned.supplier_assigned— Supplier has been assigned to the nomination.operation_started— Bunkering operation has started.cancelled— Nomination has been cancelled.accepted— Nomination has been accepted by the supplier.amended— Nomination has been amended. Not currently returned as a nomination's current status; accept it for forward compatibility.
supplier_requested, supplier_unassigned, supplier_assigned, operation_started, cancelled, accepted, amended UTC timestamp of the last change to the nomination.